Issue 111609 - ODFF: implement missing imaginary functions
ODFF: implement missing imaginary functions
Status: RESOLVED FIXED
Product: Calc
Classification: Application
Component: code
DEV300m76
All All
: P3 trivial (vote)
: 4.0.0
Assigned To: Regina Henschel
issues@sc
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 19:53 UTC by Regina Henschel
Modified: 2013-07-11 09:07 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
draft, intermediate version (40.32 KB, text/plain)
2010-06-16 23:45 UTC, Regina Henschel
no flags Details
summary of my tests (17.09 KB, application/vnd.oasis.opendocument.text)
2010-06-16 23:46 UTC, Regina Henschel
no flags Details
adds IMTAN,IMSEC,IMCSC,IMCOT,IMSINH,IMCOSH,IMSECH,,IMCSCH (41.34 KB, patch)
2012-06-06 22:56 UTC, Regina Henschel
rb.henschel: review? (rb.henschel)
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2010-05-14 19:53:05 UTC
The ODF formula 1.2 spec specifies some complex number functions which are not
yet implemented in OOo: IMCOSH, IMCOT, IMCSC, IMCSCH, IMSEC, IMSECH, IMSINH,
IMTAN. (IMSINH and IMCOSH are not yet contained in the draft, but I consider
this an error in the draft spec.)
Those functions are useful because it is cumbersome to combine them out of the
existing ones. For example to get =IMSINH(A1) you would need
=IMDIV(IMSUM(IMSUB(IMEXP(A1);IMEXP(-A1)));2)
Comment 1 Regina Henschel 2010-06-16 23:45:27 UTC
Created attachment 70041 [details]
draft, intermediate version
Comment 2 Regina Henschel 2010-06-16 23:46:47 UTC
Created attachment 70042 [details]
summary of my tests
Comment 3 Regina Henschel 2012-06-06 22:56:22 UTC
Created attachment 78076 [details]
adds IMTAN,IMSEC,IMCSC,IMCOT,IMSINH,IMCOSH,IMSECH,,IMCSCH

The attachment contains my final version. Please review especially the texts for the application help.
Comment 4 jsc 2012-06-08 08:18:33 UTC
I have reviewed the patch and it looks good to me, nice work
Comment 5 Regina Henschel 2012-06-08 14:57:11 UTC
Committed to trunk with r1348096
Comment 6 vulcain 2013-01-28 09:53:29 UTC
Resolved in LibreOffice 3.6:
https://bugs.freedesktop.org/show_bug.cgi?id=51017
Comment 7 hdu@apache.org 2013-07-11 09:07:12 UTC
Updated target to release that will contain the enhancement.